Subject: Re: Bugreport: core-tutorial example outdated?

From: "J. Bruce Fields" <[email-masked]>
Date: Wed, 25 Oct 2006 13:24:08 -0400

On Wed, Oct 25, 2006 at 07:15:17PM +0200, Clemens Koller wrote:
> Hi there!
> 
> I just studied
> http://www.kernel.org/pub/software/scm/git/docs/core-tutorial.html
> to get more into the details of git. But the following commands:
> 
> $ git-cat-file -t 557db03de997c86a4a028e1ebd3a1ceb225be238
> $ git-cat-file "blob" 557db03
> 
> just bring up a
> 
> fatal: Not a valid object name 557db03de
> 
> I guess the documentation is slightly outdated and might need a fix.

Works for me.  The precise names there depend on the files you create
being byte-for-byte identical to the ones created by the echo commands
in the tutorial.  If yours aren't identical, then you should just use
the names that the previous ls command instead.